[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Themes' (#lcl)

# TThemeServices.GetTextExtent

Calculates the bounding rectangle for the text or caption in a theme element.

## Declaration

Source position: themes.pas line 487

`public function TThemeServices.GetTextExtent(`
`DC: HDC;`
`Details: TThemedElementDetails;`
`const S: string;`
`Flags: Cardinal;`
`BoundingRect: PRect`
`):TRect; virtual;`